# Method: scores.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/scores/get#body.aspect)
- [ScoreTimeSpan](https://developer.android.com/games/services/web/api/rest/v1/scores/get#ScoreTimeSpan)
- [IncludeRankType](https://developer.android.com/games/services/web/api/rest/v1/scores/get#IncludeRankType)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/scores/get#try-it)

Get high scores, and optionally ranks, in leaderboards for the currently authenticated player. For a specific time span,`leaderboardId`can be set to`ALL`to retrieve data for all leaderboards in a given time span. \`NOTE: You cannot ask for 'ALL' leaderboards and 'ALL' timeSpans in the same request; only one parameter may be set to 'ALL'.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/{playerId}/leaderboards/{leaderboardId}/scores/{timeSpan}`

### Path parameters

|                                                                                          Parameters                                                                                          ||
|-----------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `playerId`      | `string` A player ID. A value of`me`may be used in place of the authenticated player's ID.                                                                                  |
| `leaderboardId` | `string` The ID of the leaderboard. Can be set to 'ALL' to retrieve data for all leaderboards for this application.                                                         |
| `timeSpan`      | `enum (`[ScoreTimeSpan](https://developer.android.com/games/services/web/api/rest/v1/scores/get#ScoreTimeSpan)`)` The time span for the scores and ranks you're requesting. |

### Query parameters

|                                                                                                           Parameters                                                                                                           ||
|-------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`        | `string` The preferred language to use for strings returned by this method.                                                                                                                                 |
| `includeRankType` | `enum (`[IncludeRankType](https://developer.android.com/games/services/web/api/rest/v1/scores/get#IncludeRankType)`)` The types of ranks to return. If the parameter is omitted, no ranks will be returned. |
| `maxResults`      | `integer` The maximum number of leaderboard scores to return in the response. For any response, the actual number of leaderboard scores returned may be less than the specified`maxResults`.                |
| `pageToken`       | `string` The token returned by the previous request.                                                                                                                                                        |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[GetLeaderboardScoresResponse](https://developer.android.com/games/services/web/api/rest/v1/scores#GetLeaderboardScoresResponse).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ScoreTimeSpan

Defines possible time spans for a score.

|                                                  Enums                                                  ||
|------------|---------------------------------------------------------------------------------------------|
| `ALL`      | Get the high scores for all time spans. If this is used, maxResults values will be ignored. |
| `ALL_TIME` | Get the all time high score.                                                                |
| `WEEKLY`   | List the top scores for the current day.                                                    |
| `DAILY`    | List the top scores for the current week.                                                   |

## IncludeRankType

Possible values for rank type.

|                                                 Enums                                                 ||
|-----------|--------------------------------------------------------------------------------------------|
| `ALL`     | Retrieve all supported ranks. In HTTP, this parameter value can also be specified as`ALL`. |
| `PUBLIC`  | Retrieve public ranks, if the player is sharing their gameplay activity publicly.          |
| `SOCIAL`  | (Obsolete) Retrieve the social rank. | This item is deprecated!                            |
| `FRIENDS` | Retrieve the rank on the friends collection.                                               |